## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate lz4-sys
%global upstream_version 1.11.1+lz4-1.10.0

Name:           rust-lz4-sys
Version:        1.11.1
Release:        %autorelease
Summary:        Rust LZ4 sys package

License:        MIT
URL:            https://crates.io/crates/lz4-sys
Source:         %{crates_source %{crate} %{upstream_version}}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          lz4-sys-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * Depend on pkg-config unconditionally
Patch:          lz4-sys-fix-metadata.diff
# * Link system liblz4 when available
# * https://github.com/10XGenomics/lz4-rs/pull/39
# * Squashed (to omit reverted changes to the top-level Cargo.toml) and adjusted
#   to apply to the released crate; remaining changes to Cargo.toml are applied
#   with “rust2rpm -p” and appear in lz4-sys-fix-metadata.diff.
Patch10:       lz4-sys-1.11.0-system-liblz4.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  pkgconfig(liblz4)

%global _description %{expand:
Rust LZ4 sys package.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(liblz4)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{upstream_version} -p1
# Remove the bundled copy of liblz4.
rm -rv liblz4
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu Sep 26 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.11.1-2
- Fix missing patch file

* Thu Sep 26 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.11.1-1
- Update to 1.11.1 (close RHBZ#2312163)

* Thu Sep 26 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.11.0-1
- Update to 1.11.0

* Wed Aug 07 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.10.0-1
- Update to 1.10.0 (close RHBZ#2299411)

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jun 11 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.9.5-1
- Update to 1.9.5 (close RHBZ#2291271)

* Mon Mar 11 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.9.4-6
- Use rust2rpm 26 features to reduce the amount of manual packaging work

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 04 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.9.4-3
- Split up the system-liblz4 patch
- Apply the changes in Cargo.toml during “rust2rpm -p”

* Thu Jan 04 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.9.4-1
- Initial package (close RHBZ#2249863)
## END: Generated by rpmautospec
